uses VenomGFX,Wokna32;
var vw:TVWOkno;
     v,v3,v4:virtualwindow;

    mr1,mr2,mr3,mr4:TMrizka;
    t4a,t4b,t4c1,t4c2,t4c3,t4c4:Tlacitko;
    t3a1,t3a2:Tlacitko;

    kon:TKonzole;


begin
ObvyklyStart;

(*
mr1.Init(10,100,200,200,10,10,10{velikost bunky},0{mrizka},0);
mr1.clr(64000);
mr1.zobraz;

mr1.done;


mr2.Init(250,100,200,200,10,10,10{velikost bunky},4{mrizka},0);
mr2.clr(32000);
mr2.zobraz;

mr2.done;
*)

Load_Image('hodiny.bmp',v);

v3:=Rotate90p(v);

mr3.Init(550,350,180,180,20,14,5{sirka bunky},10{vyska bunky
},1{mrizka},0);
mr3.clr(32000);
mr3.ImportVirtualWindow(v3,align_s,align_s);
mr3.zobraz;

t3a1.init(470,350,'R.doprava',0,0,0);
t3a1.zobraz;

t3a2.init(470,380,'R.doleva',0,0,0);
t3a2.zobraz;

{mr3.done;}


Load_Image('fulinci.bmp',v4);
PutSprite(vga,v4,470,10);

t4a.init(10,550,'swap horz.',0,0,0);
t4a.zobraz;

t4b.init(110,550,'swap vert.',0,0,0);
t4b.zobraz;

t4c1.init(210,550,'+3 doprava',0,0,0);
t4c1.zobraz;

t4c2.init(310,550,'+3 doleva',0,0,0);
t4c2.zobraz;

t4c3.init(410,550,'+3 dolu',0,0,0);
t4c3.zobraz;

t4c4.init(510,550,'+3 nahoru',0,0,0);
t4c4.zobraz;

mr4.Init(10,10,402,400,200,200,8{sirka bunky},8{vyska bunky},0{mrizka},0);
mr4.clr(0);

mr4.ImportVirtualWindow(v4,align_p,align_n);

mr4.OblastZobrazeni(600,600);

mr4.zobraz;


repeat

t4a.kontrola;
t4b.kontrola;
t4c1.kontrola;
t4c2.kontrola;
t4c3.kontrola;
t4c4.kontrola;

t3a1.kontrola;
t3a2.kontrola;

mr4.Kontrola;

if t4a.stav=_aktivni then begin mr4.SwapHorz;mr4.Zobraz;end;
if t4b.stav=_aktivni then begin mr4.SwapVert;mr4.Zobraz;end;
if t4c1.stav=_aktivni then begin mr4.PosunBody(3,0,64000);mr4.Zobraz;end;
if t4c2.stav=_aktivni then begin mr4.PosunBody(-3,0,34000);mr4.Zobraz;end;
if t4c3.stav=_aktivni then begin mr4.PosunBody(0,3,4000);mr4.Zobraz;end;
if t4c4.stav=_aktivni then begin mr4.PosunBody(0,-3,600);mr4.Zobraz;end;

if t3a1.stav=_aktivni then begin mr3.Rotace_P(32000);mr3.Zobraz;end;
if t3a2.stav=_aktivni then begin mr3.Rotace_L(32000);mr3.Zobraz;end;

until Mouse_R;


mr3.done;
mr4.done;


{readln;}


{Load_Image('woman.bmp',v);
VWokno(500,500,'VWDEMO.JPG',@v);}
ObvyklyKonec;
end.
